<div class="row">
  <div class="col-sm-2">
    <div class="d-flex justify-content-between">
    <h6>Conversations</h6>
    <%= link_to "Créer un conversation", new_conversation_path, :class => "btn btn-success", :style => "color: white" %>

    <% Conversation.all.each do |conversation| %>
      <div>
        <%= link_to conversation.name, conversation %>
        <% if current_user.conversations.include?(@conversation) %>
          <%= link_to "Supprimer la conversation", conversation_conversation_user_path(conversation), :class => "btn btn-danger", :style => "color: white", method: :delete %>
        <% end %>
      </div>
    <% end %>

    <hr />

    <div class="d-flex justify-content-between">
      <h6>User</h6>
    </div>
    <% @conversation.users.each do |user| %>
      <div>
        <%= user.email %>
      </div>
    <% end %>

  </div>

  <div class="col-sm-10">
    <% if current_user.conversations.include?(@conversation) %>
      <% form_with model: [@conversation, Message.new] do |form| %>
        <% form.text_field :body, class: "form-control" %>
      <% end %>
    <% else %>
      <%= link_to "join #{@conversation.name}", conversation_conversation_user_path(@conversation), method: :post %>
    <% end %>
  </div>
</div>